#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int d[n],u[n],l,r,x,br,o[m];
    for(int i=0;i<n;i++)
        cin>>d[i]>>u[i];
    for(int i=0;i<m;i++)
    {
        br=0;
        cin>>l>>r>>x;
        for(int z=l-1;z<r;z++)
        {
            if(d[z]<=x && u[z]>=x)
                  br++;
        }
        o[i]=br;
    }
    for(int i=0;i<m;i++)
        cout<<o[i]<<endl;
    return 0;
}